Subject: Re: [PATCH gnome-team v2 09/13] gnu: Remove libsoup-minimal.

From: Vivien Kraus <[email-masked]>
Date: Wed, 29 Nov 2023 07:25:22 +0100

Le mercredi 29 novembre 2023 à 06:21 +0100, Liliana Marie Prikler a
écrit :
> Still, there were
> other users of libsoup-minimal over libsoup, so we might want to keep
> the variable even as we update both to a new, shared version.
I’m tempted to say the users of libsoup-minimal used to depend on
libsoup@2, so they put libsoup-minimal-2, but then the package required
libsoup@3, and they just removed the "-2" suffix. Is there another
reason packages would want a doc-less version of libsoup?

I can make another series revision where libsoup-minimal is a
deprecated-package pointing to libsoup, or a doc-less libsoup@3. I
think the deprecated-package solution is the most useful. What do you
think?

Vivien